package com.xxxxxxx.drvpp.fw.web.util;

import java.util.Map;

import org.apache.ibatis.session.SqlSession;
import org.springframework.ui.Model;
import org.springframework.web.context.request.WebRequest;

import com.xxxxxxx.drvpp.fw.common.log.Logger;
import com.xxxxxxx.drvpp.fw.common.util.Parameter;

public class WebParameter implements Parameter {
	private Map<String, Object> input;
	private Map<String, Object> output;
	private SqlSession sqlSession;
	private Map<String, String> requestParameter;
	private Logger log;

	private String viewName;	
	private WebRequest request;
	private Model model;
	public Map<String, Object> getInput() {
		return input;
	}
	public void setInput(Map<String, Object> input) {
		this.input = input;
	}
	public Map<String, Object> getOutput() {
		return output;
	}
	public void setOutput(Map<String, Object> output) {
		this.output = output;
	}
	public SqlSession getSqlSession() {
		return sqlSession;
	}
	public void setSqlSession(SqlSession sqlSession) {
		this.sqlSession = sqlSession;
	}
	public Map<String, String> getRequestParameter() {
		return requestParameter;
	}
	public void setRequestParameter(Map<String, String> requestParameter) {
		this.requestParameter = requestParameter;
	}
	public Logger getLog() {
		return log;
	}
	public void setLog(Logger log) {
		this.log = log;
	}
	public String getViewName() {
		return viewName;
	}
	public void setViewName(String viewName) {
		this.viewName = viewName;
	}
	public WebRequest getRequest() {
		return request;
	}
	public void setRequest(WebRequest request) {
		this.request = request;
	}
	public Model getModel() {
		return model;
	}
	public void setModel(Model model) {
		this.model = model;
	}
}
